# Update custom fields on revenue items by revenue event number This REST API reference describes how to update custom fields on revenue items by specifying the revenue event number. Request and response field descriptions and sample code are provided. Endpoint: PUT /v1/revenue-items/revenue-events/{event-number} Version: 2025-12-17 ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Authorization` (string) The value is in the Bearer {token} format where {token} is a valid OAuth token generated by calling Create an OAuth token. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you do not need to set this header. ## Path parameters: - `event-number` (string, required) The number associated with the revenue event. ## Request fields (application/json): - `revenueItems` (array, required) Revenue items are listed in ascending order by the accounting period start date. Include at least one custom field. Example: [{"accountingPeriodName":"Oct'2014"},{"accountingPeriodName":"Nov'2014"}] - `revenueItems.accountingPeriodName` (string, required) Name of the accounting period. The open-ended accounting period is named Open-Ended. ## Response 200 fields (application/json): - `processId` (string) The Id of the process that handle the operation. - `reasons` (array) - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `success` (boolean) Indicates whether the call succeeded.